;
; Installer script
;
;
; $Id: installer.conf.nsh,v 1.2 2003/05/17 07:14:58 seb Exp $
;
; Config file
;


;
;
; Version: MPL 1.1/GPL 2.0/LGPL 2.1
;
; The contents of this file are subject to the Mozilla Public License Version 
; 1.1 (the "License"); you may not use this file except in compliance with 
; the License. You may obtain a copy of the License at 
; http://www.mozilla.org/MPL/
;
; Software distributed under the License is distributed on an "AS IS" basis,
; WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
; for the specific language governing rights and limitations under the
; License.
;
; The Original Code is the configuration file for the Windows installer for 
; Phoenix using NSIS2.
;
; The Initial Developer of the Original Code is
; Sbastien Delahaye <seb@delahaye.net>.
; Portions created by the Initial Developer are Copyright (C) 2002
; the Initial Developer. All Rights Reserved.
;
; 
; Alternatively, the contents of this file may be used under the terms of
; either of the GNU General Public License Version 2 or later (the "GPL"),
; or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
; in which case the provisions of the GPL or the LGPL are applicable instead
; of those above. If you wish to allow use of your version of this file only
; under the terms of either the GPL or the LGPL, and not to allow others to
; use your version of this file under the terms of the MPL, indicate your
; decision by deleting the provisions above and replace them with the notice
; and other provisions required by the GPL or the LGPL. If you do not delete
; the provisions above, a recipient may use your version of this file under
; the terms of any one of the MPL, the GPL or the LGPL.
;

;
; Default configuration vars. Edit them if you don't use the command line.
;


; !define WEB ; this makes a web installer instead of a full installer

!ifndef NAME
  !define NAME "Firefox" ; fill this in when not using cmdline compiler
  !ifndef NAME
    !error ; exit the compiler if NAME is still not set
  !endif
!endif

!ifndef GROUP
  !define GROUP "Mozilla"
!endif

!ifndef BRAND
  !define BRAND "Mozilla.org"
!endif

!define MUI_PRODUCT "${GROUP} ${NAME}"

!ifndef LANG
  !define LANG "English"
!endif

!ifndef LICENSEFILE
  ;!define LICENSEFILE ""
!endif

!ifndef OUTDISK
  !define OUTDISK "c:\"
!endif
!ifndef OUTDIR
  !define OUTDIR "savefileshere\friedfox\"
!endif

!ifdef WEB
  !ifndef MUI_VERSION
    !define MUI_VERSION "" ; useless, but needed for ModernUI to work
  !endif
  !ifndef WEBPATH
    !define WEBPATH "http://ftp.mozilla.org/pub/firebird/nightly/latest-trunk/"
  !endif
  !ifndef WEBFILE
    !define WEBFILE "MozillaFirebird-win32.zip"
  !endif
  !ifndef OUTFILE
    !define OUTFILE "${GROUP}${NAME}-webinstall.exe"
  !endif
  !ifndef TEMPFOLDER
    !define TEMPFOLDER "MozillaFirebird"
  !endif
!else
  !ifndef DATE
    !define DATE "YYYYMMDD" ; fill this is when not using a cmdline compiler
    !ifndef DATE
      !error ; exit the compiler if DATE is still not set
    !endif
  !endif
  !ifndef MILESTONE
    ;!define MILESTONE "0.6" ; use it only to release a milestone
  !endif
  !ifdef MILESTONE
    !define MUI_VERSION "${MILESTONE}"
  !else
    !define MUI_VERSION "${DATE}"
  !endif
  !ifndef OUTFILE
    !define OUTFILE "${GROUP}${NAME}-${MUI_VERSION}-setup.exe"
  !endif
  !ifndef FROMDIR
    !define FROMDIR "c:\savefileshere\firefox\*"
  !endif
!endif

!ifndef UNINSTALLER
  !define UNINSTALLER "Uninstall-${GROUP}${NAME}.exe"
!endif
!ifndef EXE
  !define EXE "firefox.exe"
!endif


;define DIST 1 ; Use this if you want to make a release without cmdline
;define UPX 1 ; Use this if you want to use UPX without cmdline


;
; Edit these vars if you are using UPX.
;

!ifdef UPX
  !ifndef UPXDIR
    !define UPXDIR "D:\upx\upx.exe"
  !endif
  !ifndef UPXOPT
    !define UPXOPT "--best -q"
  !endif
  !ifndef UNUPX
    !define UNUPX "-d"
  !endif
  !ifndef UPXFILES
    !define UPXT "D:\phoenix\phoenix\"
    !define UPXFILES "${UPXT}${EXE}"
    ;; ${UPXT}*.dll ${UPXT}components\*.dll ${UPXT}plugins\npnul32.dll"
  !endif
!endif

; eof
